Subject: Re: [PATCH net 1/4] pegasus: Use heap buffers for all register access

From: Petko Manolov <[email-masked]>
Date: Mon, 6 Feb 2017 10:14:44 +0200

On 17-02-05 01:30:39, Greg KH wrote:
> On Sat, Feb 04, 2017 at 04:56:03PM +0000, Ben Hutchings wrote:
> > Allocating USB buffers on the stack is not portable, and no longer
> > works on x86_64 (with VMAP_STACK enabled as per default).
> 
> It's never worked on other platforms, so these should go to the stable 
> releases please.

As far as i know both drivers works fine on other platforms, though I only 
tested it on arm and mipsel. ;)

Random thought: isn't it better to add the alloc/free code in usb_control_msg() 
and avoid code duplication all over the driver space?

cheers,
Petko